Broken Cart/Checkout after JQUERY version change - Organic Shop Theme

Hi. We updated JQuery and now the cart and checkout functionality on our site has broken. I think its because our theme (Organic Shop) doesn't work with the new version of JQuery.
I really just want someone to tell me how to go back to a version that will work with our theme.
We've given support access via the WPMU DEV plug in. Please help.

  • Luís
    • Support

    Hi sam ,

    Hope you're doing well today!

    I am not sure if this is related to the jQuery version. I checked your website and if you disable the plugin "jQuery Updater" it should revert to the original jQuery version used by WordPress.

    This only happened after change the Jquery version? Have you tried a plugin conflict test?

    However, this is an example of how to downgrade jQuery:

    http://living.fuyuko.net/jquery-conflict-in-wordpress-4-5-and-woocommerce-2-5/

    Cheers, Luís

  • sam
    • New Recruit

    Hi Luis
    Thanks so much.
    It is a conflict with the them as when I do a live preview on storefront, then the cart function works fine. But I want to stay with Organic Shop theme.
    I loaded following code (below) into functions.php to try and get JQuery back to std and I deleted JQuery plugin. But it has not worked. PLease help!!

    // Downgrade to jQuery given version
    function downgrade_jquery() {
    global $wp_scripts;

    if ( !is_admin() ) :
    wp_deregister_script('jquery');
    wp_register_script('jquery', '//ajax.googleapis.com/ajax/libs/jquery/1.11.3/jquery.min.js', false, '1.11.3');
    endif;
    }
    add_action( 'wp_head', downgrade_jquery() );

Thank NAME, for their help.

Let NAME know exactly why they deserved these points.

Gift a custom amount of points.